## python-uvicorn 0.3.24

=== requirements.txt ===
click
h11

# Optional
httptools
uvloop
websockets>=6.0
wsproto

# Testing
pytest
pytest-cov
requests
codecov

=== debian/changelog ===
python-uvicorn (0.3.24-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump debhelper compatibility and version to 12.
  * Bump Standards-Version to 4.3.0.
  * Add Enhances: python3-gunicorn to indicate that python3-uvicorn
    provides a worker class implementation for it.

 -- Michael Fladischer <fladi@debian.org>  Sun, 06 Jan 2019 17:23:11 +0100

python-uvicorn (0.3.23-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sun, 23 Dec 2018 18:14:06 +0100

python-uvicorn (0.3.22-2) unstable; urgency=medium

  * Team upload.
  * Use dh_mkdocs instead of manually symlinking static files.
  * Prevent search_index.json from being compressed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 22 Dec 2018 22:53:48 +0300

python-uvicorn (0.3.22-1) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Drop unused dh_sphinxdoc override, this package does not use Sphinx.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Clean up files in .pytest_cache/ to allow two builds in a row.
  * Do not mention planned HTTP/2 support in long description.

 -- Michael Fladischer <fladi@debian.org>  Tue, 18 Dec 2018 09:13:42 +0100

python-uvicorn (0.3.21-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Thu, 22 Nov 2018 09:34:38 +0100

python-uvicorn (0.3.20-1) unstable; urgency=low

  * New upstream release.
  * Add debian/gbp.conf.

 -- Michael Fladischer <fladi@debian.org>  Wed, 14 Nov 2018 16:56:42 +0100

python-uvicorn (0.3.14-1) unstable; urgency=low

  * Initial release (Closes: #911549).

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Oct 2018 12:31:34 +0200

=== debian/control ===
Source: python-uvicorn
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 12),
 dh-python,
 docbook-to-man,
 mkdocs (>= 1.0.4),
 python3-all,
 python3-click,
 python3-h11,
 python3-httptools,
 python3-pytest,
 python3-requests,
 python3-setuptools,
 python3-uvloop,
 python3-websockets,
 python3-wsproto,
Standards-Version: 4.3.0
Homepage: https://github.com/encode/uvicorn/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-uvicorn
Vcs-Git: https://salsa.debian.org/python-team/modules/python-uvicorn.git
Testsuite: autopkgtest-pkg-python

Package: python-uvicorn-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${mkdocs:Depends},
Description: ASGI server implementation, using uvloop and httptools (Documentation)
 Uvicorn is a fast ASGI server, built on uvloop and httptools. It currently
 supports HTTP/1.1 and WebSockets.
 .
 Uvicorn is designed with particular attention to connection and resource
 management, in order to provide a robust server implementation. It aims to
 ensure graceful behavior to either server or client errors, and resilience to
 poor client behavior or denial of service attacks.
 .
 This package contains the documentation.

Package: python3-uvicorn
Architecture: all
Depends:
 python3-wsproto,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-uvicorn-doc,
Enhances:
 python3-gunicorn,
Description: ASGI server implementation, using uvloop and httptools (Python3 version)
 Uvicorn is a fast ASGI server, built on uvloop and httptools. It currently
 supports HTTP/1.1 and WebSockets.
 .
 Uvicorn is designed with particular attention to connection and resource
 management, in order to provide a robust server implementation. It aims to
 ensure graceful behavior to either server or client errors, and resilience to
 poor client behavior or denial of service attacks.
 .
 This package contains the Python 3 version of the library.

Package: uvicorn
Architecture: all
Section: httpd
Depends:
 python3-uvicorn (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-uvicorn-doc,
Description: ASGI server implementation, using uvloop and httptools
 Uvicorn is a fast ASGI server, built on uvloop and httptools. It currently
 supports HTTP/1.1 and WebSockets.
 .
 Uvicorn is designed with particular attention to connection and resource
 management, in order to provide a robust server implementation. It aims to
 ensure graceful behavior to either server or client errors, and resilience to
 poor client behavior or denial of service attacks.
 .
 This package contains the CLI script.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_TEST_ARGS=-k 'not test_run and not test_invalid_upgrade'

%:
	dh $@ --with mkdocs,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	LC_ALL=C.UTF-8 LANG=C.UTF-8 mkdocs build && mv site html

override_dh_installman:
	docbook-to-man debian/manpage.uvicorn.sgml > uvicorn.1
	dh_installman

override_dh_clean:
	rm -rf html
	dh_clean

override_dh_compress:
	dh_compress -Xsearch_index.json

## python-uvicorn 0.11.2

=== debian/changelog ===
python-uvicorn (0.11.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Thu, 23 Jan 2020 14:12:52 +0100

python-uvicorn (0.11.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Skip test_default_headers tests as they require network.
  * Clean up .pytest_cache/CACHEDIR.TAG to allow two builds in a row.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Sat, 28 Dec 2019 15:58:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
  dh-python,
  docbook-to-man,
  mkdocs (>= 1.0.4),
@@ -19,11 +19,12 @@
  python3-uvloop,
  python3-websockets,
  python3-wsproto,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/encode/uvicorn/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-uvicorn
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-uvicorn.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-uvicorn-doc
 Section: doc

## python-uvicorn 0.11.3

=== requirements.txt ===
click
h11

# Optional
httptools
uvloop>=0.14.0
websockets==8.*
wsproto==0.13.*

# Testing
autoflake
black
codecov
isort
pytest
pytest-cov
requests

# Documentation
mkdocs
mkdocs-material

=== debian/changelog ===
python-uvicorn (0.11.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.5.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 25 Feb 2020 21:21:52 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-uvloop,
  python3-websockets,
  python3-wsproto,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/encode/uvicorn/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-uvicorn
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-uvicorn.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
-export PYBUILD_TEST_ARGS=-k 'not test_run and not test_invalid_upgrade'
+export PYBUILD_TEST_ARGS=-k 'not test_run and not test_invalid_upgrade and not test_default_headers'
 
 %:
 	dh $@ --with mkdocs,python3 --buildsystem=pybuild

## python-uvicorn 0.11.5

=== requirements.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 autoflake
 black
 codecov
+flake8
 isort
 pytest
 pytest-cov
@@ -19,3 +20,6 @@
 # Documentation
 mkdocs
 mkdocs-material
+
+# Efficient debug reload
+watchgod>=0.6,<0.7

=== debian/changelog ===
python-uvicorn (0.11.5-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Add python-watchgod to Build-Depends.
  * Skip test_trace_logging tests module, as it currently deadlocks.
  * Add patch to remove remote image shields to prevent privacy issues.
  * Bump debhelper version to 13.

 -- Michael Fladischer <fladi@debian.org>  Thu, 16 Jul 2020 21:03:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  docbook-to-man,
  mkdocs (>= 1.0.4),
@@ -17,6 +17,7 @@
  python3-requests,
  python3-setuptools,
  python3-uvloop,
+ python3-watchgod,
  python3-websockets,
  python3-wsproto,
 Standards-Version: 4.5.0

## python-uvicorn 0.13.3

=== requirements.txt ===
-e .[standard]

# Explicit optionals
wsproto==0.15.*

# Packaging
twine
wheel

# Testing
autoflake
black
flake8
isort
pytest
pytest-mock
requests
mypy
trustme
cryptography
coverage
httpx==0.16.*
pytest-asyncio==0.14.*
async_generator; python_version < '3.7'


# Documentation
mkdocs
mkdocs-material

=== debian/changelog ===
python-uvicorn (0.13.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
    - Closes: #969275 CVE-2020-7695
    - Closes: #969276 CVE-2020-7694
  * debian/control
    - run wrap-and-sort
    - add httpx, pytest-mock, trustme to b-d, needed for tests
    - bump Standards-Version to 4.5.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 08 Jan 2021 23:00:04 -0500

=== debian/control ===
Source: python-uvicorn
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               docbook-to-man,
               mkdocs (>= 1.0.4),
               python3-all,
               python3-click,
               python3-h11,
               python3-httptools,
               python3-httpx <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-requests,
               python3-setuptools,
               python3-trustme <!nocheck>,
               python3-uvloop,
               python3-watchgod,
               python3-websockets,
               python3-wsproto,
Standards-Version: 4.5.1
Homepage: https://github.com/encode/uvicorn/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uvicorn
Vcs-Git: https://salsa.debian.org/python-team/packages/python-uvicorn.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-uvicorn-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${mkdocs:Depends},
Description: ASGI server implementation, using uvloop and httptools (Documentation)
 Uvicorn is a fast ASGI server, built on uvloop and httptools. It currently
 supports HTTP/1.1 and WebSockets.
 .
 Uvicorn is designed with particular attention to connection and resource
 management, in order to provide a robust server implementation. It aims to
 ensure graceful behavior to either server or client errors, and resilience to
 poor client behavior or denial of service attacks.
 .
 This package contains the documentation.

Package: python3-uvicorn
Architecture: all
Depends: python3-wsproto,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-uvicorn-doc,
Enhances: python3-gunicorn,
Description: ASGI server implementation, using uvloop and httptools (Python3 version)
 Uvicorn is a fast ASGI server, built on uvloop and httptools. It currently
 supports HTTP/1.1 and WebSockets.
 .
 Uvicorn is designed with particular attention to connection and resource
 management, in order to provide a robust server implementation. It aims to
 ensure graceful behavior to either server or client errors, and resilience to
 poor client behavior or denial of service attacks.
 .
 This package contains the Python 3 version of the library.

Package: uvicorn
Architecture: all
Section: httpd
Depends: python3-uvicorn (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-uvicorn-doc,
Description: ASGI server implementation, using uvloop and httptools
 Uvicorn is a fast ASGI server, built on uvloop and httptools. It currently
 supports HTTP/1.1 and WebSockets.
 .
 Uvicorn is designed with particular attention to connection and resource
 management, in order to provide a robust server implementation. It aims to
 ensure graceful behavior to either server or client errors, and resilience to
 poor client behavior or denial of service attacks.
 .
 This package contains the CLI script.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
-export PYBUILD_TEST_ARGS=-k 'not test_run and not test_invalid_upgrade and not test_default_headers'
+export PYBUILD_TEST_ARGS=-k 'not test_run and not test_invalid_upgrade and not test_default_headers and not test_trace_logging'
 
 %:
 	dh $@ --with mkdocs,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-uvicorn-$1/ \
https://github.com/encode/uvicorn/releases \
/encode/uvicorn/archive/([\d\.]+)\.tar\.gz

## python-uvicorn 0.15.0

=== requirements.txt ===
-e .[standard]

# Explicit optionals
wsproto==1.0.*

# Packaging
twine
wheel

# Testing
autoflake
black
flake8
isort
pytest
pytest-mock
mypy
types-click
types-pyyaml
trustme
cryptography
coverage
httpx>=0.18.2
pytest-asyncio==0.14.*
async_generator; python_version < '3.7'


# Documentation
mkdocs>=1.2.2
mkdocs-material

# py3.10 workarounds
https://github.com/aaugustin/websockets/archive/4e1dac362a3639b9cf0e5bcf382601e6e32cfede.tar.gz#egg=websockets; python_version >= '3.10'

=== debian/changelog ===
python-uvicorn (0.15.0-2ubuntu1) jammy; urgency=medium

  * debian/patches: Add 0004-set-pytest-asyncio-mode-auto.patch to fix
    DeprecationWarning build error on python3.10 (LP: #1965578).
  * debian/control: Require python3-pytest-asyncio (>= 0.18.0), which is
    necessary for the asyncio_mode config option.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 18 Mar 2022 15:10:11 -0400

python-uvicorn (0.15.0-2) unstable; urgency=medium

  * debian/tests/
    - add autopkgtests

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Dec 2021 00:01:56 -0500

python-uvicorn (0.15.0-1) unstable; urgency=medium

  * New upstream release; Closes: #997476
  * debian/watch
    - fix watch file
  * debian/patches/0003-Remove-image-badges-to-prevent-privacy-breaches.patch
    - refresh patch
  * debian/control
    - add asgiref, dotenv, pytest-asyncio anyio to b-d, needed by tests
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/rules
    - run tests at build-time

 -- Sandro Tosi <morph@debian.org>  Thu, 25 Nov 2021 00:24:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,23 @@
 Source: python-uvicorn
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                docbook-to-man,
                mkdocs (>= 1.0.4),
                python3-all,
+               python3-anyio <!nocheck>,
+               python3-asgiref <!nocheck>,
                python3-click,
+               python3-dotenv <!nocheck>,
                python3-h11,
                python3-httptools,
-               python3-httpx <!nocheck>,
+               python3-httpx (>= 0.18.2) <!nocheck>,
                python3-pytest <!nocheck>,
+               python3-pytest-asyncio (>= 0.18.0) <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-requests,
                python3-setuptools,
@@ -21,7 +26,7 @@
                python3-watchgod,
                python3-websockets,
                python3-wsproto,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/encode/uvicorn/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uvicorn
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-uvicorn.git

## python-uvicorn 0.17.6

=== requirements.txt ===
-e .[standard]

# Explicit optionals
wsproto==1.0.0

# Packaging
twine==3.4.2
wheel==0.37.0

# Testing
autoflake==1.4
black==21.9b0
flake8==3.9.2
isort==5.9.3
pytest==6.2.5
pytest-mock==3.6.1
mypy==0.910
types-click==7.1.5
types-pyyaml==5.4.10
trustme==0.9.0
cryptography==3.4.8
coverage==5.5
coverage-conditional-plugin==0.4.0
httpx==1.0.0b0
pytest-asyncio==0.15.1


# Documentation
mkdocs==1.2.3
mkdocs-material==7.2.6

=== debian/changelog ===
python-uvicorn (0.17.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * fix asyncio warnings
    Closes: #1008457

 -- Andreas Tille <tille@debian.org>  Mon, 04 Apr 2022 13:41:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: python-uvicorn
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Michael Fladischer <fladi@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Michael Fladischer <fladi@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                docbook-to-man,
-               mkdocs (>= 1.0.4),
+               mkdocs,
                python3-all,
                python3-anyio <!nocheck>,
                python3-asgiref <!nocheck>,
@@ -17,7 +17,7 @@
                python3-httptools,
                python3-httpx (>= 0.18.2) <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-pytest-asyncio (>= 0.18.0) <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-requests,
                python3-setuptools,
@@ -25,19 +25,18 @@
                python3-uvloop,
                python3-watchgod,
                python3-websockets,
-               python3-wsproto,
-Standards-Version: 4.6.0.1
-Homepage: https://github.com/encode/uvicorn/
+               python3-wsproto
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uvicorn
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-uvicorn.git
-Testsuite: autopkgtest-pkg-python
+Homepage: https://github.com/encode/uvicorn/
 Rules-Requires-Root: no
 
 Package: python-uvicorn-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: ${misc:Depends},
-         ${mkdocs:Depends},
+         ${mkdocs:Depends}
 Description: ASGI server implementation, using uvloop and httptools (Documentation)
  Uvicorn is a fast ASGI server, built on uvloop and httptools. It currently
  supports HTTP/1.1 and WebSockets.
@@ -53,9 +52,9 @@
 Architecture: all
 Depends: python3-wsproto,
          ${misc:Depends},
-         ${python3:Depends},
-Suggests: python-uvicorn-doc,
-Enhances: python3-gunicorn,
+         ${python3:Depends}
+Suggests: python-uvicorn-doc
+Enhances: python3-gunicorn
 Description: ASGI server implementation, using uvloop and httptools (Python3 version)
  Uvicorn is a fast ASGI server, built on uvloop and httptools. It currently
  supports HTTP/1.1 and WebSockets.
@@ -72,8 +71,8 @@
 Section: httpd
 Depends: python3-uvicorn (= ${binary:Version}),
          ${misc:Depends},
-         ${python3:Depends},
-Suggests: python-uvicorn-doc,
+         ${python3:Depends}
+Suggests: python-uvicorn-doc
 Description: ASGI server implementation, using uvloop and httptools
  Uvicorn is a fast ASGI server, built on uvloop and httptools. It currently
  supports HTTP/1.1 and WebSockets.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
# some of the skipped tests are failing for unknown reasons: https://github.com/encode/uvicorn/discussions/1231
export PYBUILD_TEST_ARGS=-s --verbose -k 'not test_run and not test_invalid_upgrade and not test_default_headers and not test_trace_logging and not test_websocket_auto' --ignore=tests/protocols/test_websocket.py

%:
	dh $@ --with mkdocs,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	LC_ALL=C.UTF-8 LANG=C.UTF-8 mkdocs build && mv site html

override_dh_auto_test:
	http_proxy= https_proxy= dh_auto_test

override_dh_installman:
	docbook-to-man debian/manpage.uvicorn.sgml > uvicorn.1
	dh_installman

override_dh_clean:
	rm -rf html
	dh_clean

override_dh_compress:
	dh_compress -Xsearch_index.json

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-uvicorn-$1.tar.gz%" \
https://github.com/encode/uvicorn/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-uvicorn 0.23.2+dfsg

=== requirements.txt ===
-e .[standard]

# TODO: Remove this after h11 makes a release. By this writing, h11 was on 0.14.0.
# Core dependencies
h11 @ git+https://github.com/python-hyper/h11.git@master

# Explicit optionals
a2wsgi==1.7.0
wsproto==1.2.0
websockets==11.0.3

# Packaging
build==0.10.0
twine==4.0.2

# Testing
black==23.3.0
ruff==0.0.270
pytest==7.4.0
pytest-mock==3.11.1
mypy==1.4.1
types-click==7.1.8
types-pyyaml==6.0.12.10
trustme==0.9.0
cryptography==41.0.2
coverage==7.2.7
coverage-conditional-plugin==0.9.0
httpx==0.24.1
watchgod==0.8.2

# Documentation
mkdocs==1.4.2
mkdocs-material==9.1.8

=== debian/changelog ===
python-uvicorn (0.23.2+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Forwarded patch

  [ Michael Fladischer ]
  * New upstream version 0.23.2+dfsg
  * Exclude docs/js from source tarball, it is not used and only provided in
    minified form.
  * Refresh patches.
  * Build using pybuild-plugin-pyproject and python3-hatchling.
  * Remove python3-asgiref and python3-httptools from Build-Depends, no longer
    used.
  * Add python3-a2wsgi to Build-Depends, required to build.
  * Add patch to disable gitter chat in documentation.
  * Add python3-pymdownx to Build-Depends, required by documentation.
  * Bump Standards-Version to 4.6.2.
  * Update year in d/copyright.
  * Install testfiles using d/pybuild.testfiles.
  * Run autopkgtests with all available Python3 versions, not only the
    requested ones.
  * Extend patch to use local image resource to prevent privacy breach.
  * Depend on python3-all for autopkgtests.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Remove gzipped sitemap.xml, not useful for offline documentation.

 -- Michael Fladischer <fladi@debian.org>  Wed, 09 Aug 2023 16:27:28 +0000

=== debian/control ===
Source: python-uvicorn
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 docbook-to-man,
 mkdocs,
 pybuild-plugin-pyproject,
 python3-a2wsgi,
 python3-all,
 python3-anyio <!nocheck>,
 python3-click,
 python3-dotenv <!nocheck>,
 python3-h11,
 python3-hatchling,
 python3-httpx (>= 0.18.2) <!nocheck>,
 python3-pymdownx,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-requests,
 python3-trustme <!nocheck>,
 python3-uvloop,
 python3-watchgod,
 python3-websockets,
 python3-wsproto,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uvicorn
Vcs-Git: https://salsa.debian.org/python-team/packages/python-uvicorn.git
Homepage: https://github.com/encode/uvicorn/
Rules-Requires-Root: no

Package: python-uvicorn-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${mkdocs:Depends},
Description: ASGI server implementation, using uvloop and httptools (Documentation)
 Uvicorn is a fast ASGI server, built on uvloop and httptools. It currently
 supports HTTP/1.1 and WebSockets.
 .
 Uvicorn is designed with particular attention to connection and resource
 management, in order to provide a robust server implementation. It aims to
 ensure graceful behavior to either server or client errors, and resilience to
 poor client behavior or denial of service attacks.
 .
 This package contains the documentation.

Package: python3-uvicorn
Architecture: all
Depends:
 python3-wsproto,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-uvicorn-doc,
Enhances:
 python3-gunicorn,
Description: ASGI server implementation, using uvloop and httptools (Python3 version)
 Uvicorn is a fast ASGI server, built on uvloop and httptools. It currently
 supports HTTP/1.1 and WebSockets.
 .
 Uvicorn is designed with particular attention to connection and resource
 management, in order to provide a robust server implementation. It aims to
 ensure graceful behavior to either server or client errors, and resilience to
 poor client behavior or denial of service attacks.
 .
 This package contains the Python 3 version of the library.

Package: uvicorn
Architecture: all
Section: httpd
Depends:
 python3-uvicorn (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-uvicorn-doc,
Description: ASGI server implementation, using uvloop and httptools
 Uvicorn is a fast ASGI server, built on uvloop and httptools. It currently
 supports HTTP/1.1 and WebSockets.
 .
 Uvicorn is designed with particular attention to connection and resource
 management, in order to provide a robust server implementation. It aims to
 ensure graceful behavior to either server or client errors, and resilience to
 poor client behavior or denial of service attacks.
 .
 This package contains the CLI script.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
 # some of the skipped tests are failing for unknown reasons: https://github.com/encode/uvicorn/discussions/1231
 export PYBUILD_TEST_ARGS=-s --verbose -k 'not test_run and not test_invalid_upgrade and not test_default_headers and not test_trace_logging and not test_websocket_auto' --ignore=tests/protocols/test_websocket.py
 
@@ -13,6 +12,7 @@
 override_dh_auto_build:
 	dh_auto_build
 	LC_ALL=C.UTF-8 LANG=C.UTF-8 mkdocs build && mv site html
+	rm -f html/sitemap.xml.gz
 
 override_dh_auto_test:
 	http_proxy= https_proxy= dh_auto_test

## python-uvicorn 0.27.1

=== requirements.txt ===
-e .[standard]

# TODO: Remove this after h11 makes a release. By this writing, h11 was on 0.14.0.
# Core dependencies
h11 @ git+https://github.com/python-hyper/h11.git@master

# Explicit optionals
a2wsgi==1.10.0
wsproto==1.2.0
websockets==12.0

# Packaging
build==1.0.3
twine==4.0.2

# Testing
ruff==0.1.15
pytest==8.0.0
pytest-mock==3.12.0
mypy==1.8.0
types-click==7.1.8
types-pyyaml==6.0.12.12
trustme==1.1.0
cryptography==42.0.2
coverage==7.4.1
coverage-conditional-plugin==0.9.0
httpx==0.26.0
watchgod==0.8.2

# Documentation
mkdocs==1.5.3
mkdocs-material==9.5.6

=== debian/changelog ===
python-uvicorn (0.27.1-1) unstable; urgency=low

  * New upstream version 0.27.1
  * Refresh patches.
  * Replace python3-watchgod with python3-watchfiles.

 -- Michael Fladischer <fladi@debian.org>  Tue, 20 Feb 2024 14:06:59 +0000

python-uvicorn (0.27.0-1) unstable; urgency=low

  * New upstream version 0.27.0

 -- Michael Fladischer <fladi@debian.org>  Fri, 26 Jan 2024 10:36:18 +0000

python-uvicorn (0.26.0-1) unstable; urgency=low

  * New upstream version 0.26.0
  * Remove Files-Excluded from d/copyright, no longer needed.
  * Refresh patches.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Fri, 19 Jan 2024 16:47:13 +0000

python-uvicorn (0.25.0-1) unstable; urgency=low

  * New upstream version 0.25.0

 -- Michael Fladischer <fladi@debian.org>  Fri, 29 Dec 2023 20:32:35 +0000

python-uvicorn (0.24.0-1) unstable; urgency=medium

  * New upstream version 0.24.0
  * Refresh patches.
  * Add python3-httptools to Build-Depends, unlocks more tests.

 -- Michael Fladischer <fladi@debian.org>  Mon, 06 Nov 2023 14:36:30 +0000

python-uvicorn (0.23.2+dfsg-2) unstable; urgency=medium

  * Use help2man to generate up-to-date man page, drop docbook-to-man.
  * Simplify d/rules by using execute_ targets instead of overrides.

 -- Michael Fladischer <fladi@debian.org>  Tue, 22 Aug 2023 13:00:29 +0000

=== debian/rules ===
--- 
+++ 
@@ -9,21 +9,18 @@
 %:
 	dh $@ --with mkdocs,python3 --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	LC_ALL=C.UTF-8 LANG=C.UTF-8 mkdocs build && mv site html
 	rm -f html/sitemap.xml.gz
 
 override_dh_auto_test:
 	http_proxy= https_proxy= dh_auto_test
 
-override_dh_installman:
-	docbook-to-man debian/manpage.uvicorn.sgml > uvicorn.1
-	dh_installman
+execute_before_dh_installman:
+	PYTHONPATH=$(CURDIR) help2man --no-discard-stderr -n 'ASGI server implementation, using uvloop and httptools' $(CURDIR)/debian/tmp/usr/bin/uvicorn >$(CURDIR)/uvicorn.1
 
-override_dh_clean:
+execute_after_dh_clean:
 	rm -rf html
-	dh_clean
 
 override_dh_compress:
 	dh_compress -Xsearch_index.json

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 @,
 @builddeps@,
Restrictions: allow-stderr

## python-uvicorn 0.29.0

=== debian/changelog ===
python-uvicorn (0.29.0-1) unstable; urgency=low

  * New upstream version 0.29.0

 -- Michael Fladischer <fladi@debian.org>  Wed, 27 Mar 2024 16:34:10 +0000

python-uvicorn (0.28.0-1) unstable; urgency=low

  * New upstream version 0.28.0
  * Refresh patches.
  * Skip test_socket_bind as it requires network.
  * Add patch for compatibility with httpx 0.27.0 (Closes: #1066793).

 -- Michael Fladischer <fladi@debian.org>  Sat, 16 Mar 2024 23:28:43 +0000

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 # some of the skipped tests are failing for unknown reasons: https://github.com/encode/uvicorn/discussions/1231
-export PYBUILD_TEST_ARGS=-s --verbose -k 'not test_run and not test_invalid_upgrade and not test_default_headers and not test_trace_logging and not test_websocket_auto' --ignore=tests/protocols/test_websocket.py
+export PYBUILD_TEST_ARGS=-s --verbose -k 'not test_run and not test_invalid_upgrade and not test_default_headers and not test_trace_logging and not test_websocket_auto and not test_socket_bind' --ignore=tests/protocols/test_websocket.py
 
 %:
 	dh $@ --with mkdocs,python3 --buildsystem=pybuild

## python-uvicorn 0.30.3

=== requirements.txt ===
-e .[standard]

# TODO: Remove this after h11 makes a release. By this writing, h11 was on 0.14.0.
# Core dependencies
h11 @ git+https://github.com/python-hyper/h11.git@master

# Explicit optionals
a2wsgi==1.10.6
wsproto==1.2.0
websockets==12.0

# Packaging
build==1.2.1
twine==5.1.1

# Testing
ruff==0.5.0
pytest==8.2.2
pytest-mock==3.14.0
mypy==1.10.1
types-click==7.1.8
types-pyyaml==6.0.12.20240311
trustme==1.1.0
cryptography==42.0.8
coverage==7.5.4
coverage-conditional-plugin==0.9.0
httpx==0.27.0
watchgod==0.8.2

# Documentation
mkdocs==1.6.0
mkdocs-material==9.5.27

=== debian/changelog ===
python-uvicorn (0.30.3-1) unstable; urgency=low

  * New upstream version 0.30.3
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Mon, 22 Jul 2024 19:01:33 +0000

python-uvicorn (0.30.1-1) unstable; urgency=low

  * New upstream version 0.30.1
  * Remove __pycache__ artifact from documentation.
  * Use $(CURDIR) in d/rules.
  * Skip network-dependant tests during build.
  * Refresh patches and drop httpx compatibility patch.

 -- Michael Fladischer <fladi@debian.org>  Thu, 18 Jul 2024 07:56:58 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- docbook-to-man,
+ help2man,
  mkdocs,
  pybuild-plugin-pyproject,
  python3-a2wsgi,
@@ -18,6 +18,7 @@
  python3-dotenv <!nocheck>,
  python3-h11,
  python3-hatchling,
+ python3-httptools <!nocheck>,
  python3-httpx (>= 0.18.2) <!nocheck>,
  python3-pymdownx,
  python3-pytest <!nocheck>,
@@ -26,7 +27,7 @@
  python3-requests,
  python3-trustme <!nocheck>,
  python3-uvloop,
- python3-watchgod,
+ python3-watchfiles,
  python3-websockets,
  python3-wsproto,
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# some of the skipped tests are failing for unknown reasons: https://github.com/encode/uvicorn/discussions/1231
export PYBUILD_TEST_ARGS=-s --verbose -k 'not test_run and not test_invalid_upgrade and not test_default_headers and not test_trace_logging and not test_websocket_auto and not test_socket_bind and not test_access_logging and not test_default_logging and not test_server_interrupt and not test_unknown_status_code and not test_sigint_finish_req and not test_sigint_abort_req' --ignore=tests/protocols/test_websocket.py

%:
	dh $@ --with mkdocs,python3 --buildsystem=pybuild

execute_after_dh_auto_build:
	LC_ALL=C.UTF-8 LANG=C.UTF-8 mkdocs build && mv $(CURDIR)/site $(CURDIR)/html
	rm -rf $(CURDIR)/html/plugins/__pycache__
	rm -f $(CURDIR)/html/sitemap.xml.gz

execute_before_dh_installman:
	PYTHONPATH=$(CURDIR) help2man --no-discard-stderr -n 'ASGI server implementation, using uvloop and httptools' $(CURDIR)/debian/tmp/usr/bin/uvicorn >$(CURDIR)/uvicorn.1

execute_after_dh_clean:
	rm -rf $(CURDIR)/html

override_dh_compress:
	dh_compress -Xsearch_index.json

## python-uvicorn 0.32.0

=== requirements.txt ===
-e .[standard]

# TODO: Remove this after h11 makes a release. By this writing, h11 was on 0.14.0.
# Core dependencies
h11 @ git+https://github.com/python-hyper/h11.git@master

# Explicit optionals
a2wsgi==1.10.7
wsproto==1.2.0
websockets==13.1

# Packaging
build==1.2.2
twine==5.1.1

# Testing
ruff==0.6.8
pytest==8.3.3
pytest-mock==3.14.0
mypy==1.11.2
types-click==7.1.8
types-pyyaml==6.0.12.20240917
trustme==1.1.0
cryptography==43.0.1
coverage==7.6.1
coverage-conditional-plugin==0.9.0
httpx==0.27.2
watchgod==0.8.2

# Documentation
mkdocs==1.6.1
mkdocs-material==9.5.39

=== debian/changelog ===
python-uvicorn (0.32.0-3) unstable; urgency=medium

  * Team upload.
  [ Sebastiaan Couwenberg ]
  * Fix test failures due to changed JSON formatting. Closes: #1099278.

 -- Santiago Vila <sanvila@debian.org>  Tue, 11 Mar 2025 12:40:00 +0100

python-uvicorn (0.32.0-2) unstable; urgency=medium

  * Team upload.
  * Ignore websockets DeprecationWarnings during tests (closes: #1088725)

 -- Julian Gilbey <jdg@debian.org>  Mon, 09 Dec 2024 20:53:12 +0000

python-uvicorn (0.32.0-1) unstable; urgency=low

  * New upstream version 0.32.0
  * Refresh patches.
  * Bump Standards-Version to 4.7.0.
  * Skip further tests during build which would fail in absence of network.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Wed, 23 Oct 2024 15:56:41 +0000

python-uvicorn (0.30.6-1) unstable; urgency=low

  * New upstream version 0.30.6
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Wed, 28 Aug 2024 13:49:44 +0000

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  python3-watchfiles,
  python3-websockets,
  python3-wsproto,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uvicorn
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-uvicorn.git
 Homepage: https://github.com/encode/uvicorn/

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 # some of the skipped tests are failing for unknown reasons: https://github.com/encode/uvicorn/discussions/1231
-export PYBUILD_TEST_ARGS=-s --verbose -k 'not test_run and not test_invalid_upgrade and not test_default_headers and not test_trace_logging and not test_websocket_auto and not test_socket_bind and not test_access_logging and not test_default_logging and not test_server_interrupt and not test_unknown_status_code and not test_sigint_finish_req and not test_sigint_abort_req' --ignore=tests/protocols/test_websocket.py
+export PYBUILD_TEST_ARGS=-s --verbose -k 'not test_run and not test_invalid_upgrade and not test_default_headers and not test_trace_logging and not test_websocket_auto and not test_socket_bind and not test_access_logging and not test_default_logging and not test_server_interrupt and not test_unknown_status_code and not test_sigint_finish_req and not test_sigint_abort_req and not test_request_than_limit_max_requests_warn_log[h11] and not test_request_than_limit_max_requests_warn_log[httptools]' --ignore=tests/protocols/test_websocket.py
 
 %:
 	dh $@ --with mkdocs,python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests:
 unittests,
Depends:
 python3-all,
 @,
 @builddeps@,
Restrictions:
 allow-stderr,

## python-uvicorn 0.35.0

=== debian/changelog ===
python-uvicorn (0.35.0-0kali1) kali-experimental; urgency=medium

  [ Michael Fladischer ]
  * New upstream version 0.34.0

  [ Sophie Brun ]
  * New upstream version 0.35.0
  * Refresh patches
  * Do not build docs as it fails
  * Add a patch to remove unknow options in tests

 -- Sophie Brun <sophie@kali.org>  Wed, 03 Dec 2025 17:59:05 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  dh-python,
  help2man,
  mkdocs,
+ mkdocs-material,
  pybuild-plugin-pyproject,
  python3-a2wsgi,
  python3-all,

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 export PYBUILD_TEST_ARGS=-s --verbose -k 'not test_run and not test_invalid_upgrade and not test_default_headers and not test_trace_logging and not test_websocket_auto and not test_socket_bind and not test_access_logging and not test_default_logging and not test_server_interrupt and not test_unknown_status_code and not test_sigint_finish_req and not test_sigint_abort_req and not test_request_than_limit_max_requests_warn_log[h11] and not test_request_than_limit_max_requests_warn_log[httptools]' --ignore=tests/protocols/test_websocket.py
 
 %:
-	dh $@ --with mkdocs,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 execute_after_dh_auto_build:
-	LC_ALL=C.UTF-8 LANG=C.UTF-8 mkdocs build && mv $(CURDIR)/site $(CURDIR)/html
+#	LC_ALL=C.UTF-8 LANG=C.UTF-8 mkdocs build && mv $(CURDIR)/site $(CURDIR)/html
 	rm -rf $(CURDIR)/html/plugins/__pycache__
 	rm -f $(CURDIR)/html/sitemap.xml.gz

## python-uvicorn 0.38.0

=== debian/changelog ===
python-uvicorn (0.38.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix test failure with current uvloop (closes: #1122099).
  * Build-depend on mkdocs-material, now that it's in Debian.
  * Use dh-sequence-mkdocs and dh-sequence-python3.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Dec 2025 16:31:45 +0000

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,19 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-mkdocs,
+ dh-sequence-python3,
  help2man,
  mkdocs,
  mkdocs-material,
+ mkdocstrings,
+ mkdocstrings-python-handlers,
  pybuild-plugin-pyproject,
  python3-a2wsgi,
  python3-all,
  python3-anyio <!nocheck>,
  python3-click,
+ python3-doc,
  python3-dotenv <!nocheck>,
  python3-h11,
  python3-hatchling,
@@ -23,19 +27,18 @@
  python3-httpx (>= 0.18.2) <!nocheck>,
  python3-pymdownx,
  python3-pytest <!nocheck>,
- python3-pytest-asyncio <!nocheck>,
  python3-pytest-mock <!nocheck>,
+ python3-pytest-xdist <!nocheck>,
  python3-requests,
  python3-trustme <!nocheck>,
  python3-uvloop,
  python3-watchfiles,
  python3-websockets,
  python3-wsproto,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uvicorn
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-uvicorn.git
 Homepage: https://github.com/encode/uvicorn/
-Rules-Requires-Root: no
 
 Package: python-uvicorn-doc
 Architecture: all
@@ -57,6 +60,7 @@
 Package: python3-uvicorn
 Architecture: all
 Depends:
+ python3-uvloop,
  python3-wsproto,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,15 @@
 export PYBUILD_TEST_ARGS=-s --verbose -k 'not test_run and not test_invalid_upgrade and not test_default_headers and not test_trace_logging and not test_websocket_auto and not test_socket_bind and not test_access_logging and not test_default_logging and not test_server_interrupt and not test_unknown_status_code and not test_sigint_finish_req and not test_sigint_abort_req and not test_request_than_limit_max_requests_warn_log[h11] and not test_request_than_limit_max_requests_warn_log[httptools]' --ignore=tests/protocols/test_websocket.py
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_after_dh_auto_build:
-#	LC_ALL=C.UTF-8 LANG=C.UTF-8 mkdocs build && mv $(CURDIR)/site $(CURDIR)/html
+	LC_ALL=C.UTF-8 LANG=C.UTF-8 HOME=$(CURDIR)/.pybuild PATH=$(CURDIR)/debian/mkdocs-shim:$$PATH mkdocs build && mv $(CURDIR)/site $(CURDIR)/html
 	rm -rf $(CURDIR)/html/plugins/__pycache__
 	rm -f $(CURDIR)/html/sitemap.xml.gz
+
+override_dh_mkdocs:
+	dh_mkdocs --theme-package mkdocs-material
 
 execute_before_dh_installman:
 	PYTHONPATH=$(CURDIR) help2man --no-discard-stderr -n 'ASGI server implementation, using uvloop and httptools' $(CURDIR)/debian/tmp/usr/bin/uvicorn >$(CURDIR)/uvicorn.1
